Package org.jacoco.report.internal.html.page

## Class SessionsPage

- java.lang.Object
- - org.jacoco.report.internal.html.page.ReportPage
  - - org.jacoco.report.internal.html.page.SessionsPage

All Implemented Interfaces:
  `ILinkable`

    public class SessionsPage
    extends ReportPage

Page to display information about sessions covered by this report.

### Field Summary

### Fields inherited from class org.jacoco.report.internal.html.page.ReportPage

`context, folder`

### Constructor Summary

Constructors
`SessionsPage​(java.util.List<SessionInfo> sessionInfos, java.util.Collection<ExecutionData> executionData, ElementIndex index, ReportPage parent, ReportOutputFolder folder, IHTMLReportContext context)` Creates a new page page to display session information.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `content​(HTMLElement body)` Creates the actual content of the page.
`protected java.lang.String` `getFileName()` Specifies the local file name of this page.
`java.lang.String` `getLinkLabel()` Returns the display label used for the link.
`java.lang.String` `getLinkStyle()` Optional style class to be associated with the link.

### Methods inherited from class org.jacoco.report.internal.html.page.ReportPage

`getLink, getOnload, head, infoLinks, isRootPage, render`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SessionsPage

    public SessionsPage​(java.util.List<SessionInfo> sessionInfos,
                        java.util.Collection<ExecutionData> executionData,
                        ElementIndex index,
                        ReportPage parent,
                        ReportOutputFolder folder,
                        IHTMLReportContext context)

Creates a new page page to display session information.

Parameters:
  `sessionInfos` - session info objects
  `executionData` - execution data objects
  `index` - index for cross-linking
  `parent` - optional hierarchical parent
  `folder` - base folder to create this page in
  `context` - settings context

### Method Detail

#### content

    protected void content​(HTMLElement body)
                    throws java.io.IOException

Description copied from class: `ReportPage`
Creates the actual content of the page.

Specified by:
  `content` in class `ReportPage`
Parameters:
  `body` - body tag of the page
Throws:
  `java.io.IOException` - in case of IO problems with the report writer

#### getFileName

    protected java.lang.String getFileName()

Description copied from class: `ReportPage`
Specifies the local file name of this page.

Specified by:
  `getFileName` in class `ReportPage`
Returns:
  local file name

#### getLinkStyle

    public java.lang.String getLinkStyle()

Description copied from interface: `ILinkable`
Optional style class to be associated with the link.

Returns:
  link style class or `null`

#### getLinkLabel

    public java.lang.String getLinkLabel()

Description copied from interface: `ILinkable`
Returns the display label used for the link.

Returns:
  display label